Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.ts.lib.porting
Interface TSLoginContextInterface

    public interface TSLoginContextInterface

TSLoginContextInterface provides the interface that must be implemented to provide the implementation specific login code to login as a specified user.

Method Summary
`void` | `login(java.lang.String alias)` This login method is used for Certificate based login Note: This method also uses keystore and keystore password from the TS configuration file
`void` | `login(java.lang.String usr, java.lang.String pwd)` This method is used for login with username and password.
`void` | `login(java.lang.String alias, java.lang.String keystore, java.lang.String keyPass)` This login method is used for Certificate based login
`java.lang.Boolean` | `logout()` This method is used for logout

Method Detail

### login

    void login(java.lang.String usr,
               java.lang.String pwd)
               throws java.lang.Exception

  This method is used for login with username and password.

  Parameters:
    `usr` - - string username
    `pwd` - - string password
  Throws:
    `java.lang.Exception`

### login

    void login(java.lang.String alias)
               throws java.lang.Exception

  This login method is used for Certificate based login Note: This method also uses keystore and keystore password from the TS configuration file

  Parameters:
    `alias` - - alias is used to pick up the certificate from keystore
  Throws:
    `java.lang.Exception`

### login

    void login(java.lang.String alias,
               java.lang.String keystore,
               java.lang.String keyPass)
               throws java.lang.Exception

  This login method is used for Certificate based login

  Parameters:
    `alias` - - alias is used to pick up the certificate from keystore
    `keystore` - - keystore file
    `keyPass` - - keystore password
  Throws:
    `java.lang.Exception`

### logout

    java.lang.Boolean logout()

  This method is used for logout

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD